import {
  select,
  csv,
  scalelinear
} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xSclae = scaleLinear()
  	.domain([0, max(data, d => d.population)]);
  
  console.log(xScale.domain());
  
  svg.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('width', 300)
  		.attr('height', 300);
};

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population * 1000;
  });
  render(data);
});
